import type { FetchError } from './FetchError.js';
import type { ValidationError } from './validatedFetch.js';
export declare const getCurrentMonthlyCosts: ({ apiKey, endpoint, }: {
    apiKey: string;
    endpoint: URL;
}, fetchImplementation?: typeof fetch) => () => Promise<{
    error: FetchError | ValidationError;
} | {
    currentMonthTotalCost: number;
}>;
